name: gopeed
services:
  gopeed:
    container_name: gopeed
    deploy:
      resources:
        limits:
          memory: 256M
    image: liwei2633/gopeed:v1.6.6
    ports:
      - target: 9999
        published: "9999"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/data
        target: /app/storage
      - type: bind
        source: /DATA/Downloads
        target: /app/Downloads
    network_mode: bridge
    privileged: false
    x-casaos:
      ports:
        - container: "9999"
          description:
            en_us: WebUI HTTP Port
            zh_cn: WebUI HTTP端口
          protocol: tcp
      volumes:
        - container: /app/storage
          description:
            en_us: Gopeed data folder
            zh_cn: Gopeed数据文件夹
        - container: /app/Downloads
          description:
            en_us: Gopeed download folder
            zh_cn: Gopeed下载文件夹
x-casaos:
  architectures:
    - amd64
    - arm64
    - arm
  main: gopeed
  author: joaobosconff
  category: Utilities
  description:
    en_us: Gopeed (full name Go Speed), a high-speed downloader developed by Golang + Flutter, supports (HTTP, BitTorrent, Magnet) protocol, and supports all platforms. In addition to basic download functions, Gopeed is also a highly customizable downloader that supports implementing more features through integration with APIs or installation and development of extensions.
    pt_br: O Gopeed (nome completo Go Speed) é um gerenciador de downloads de alta velocidade desenvolvido com Golang e Flutter. Ele suporta os protocolos HTTP, BitTorrent e Magnet, e funciona em todas as plataformas, incluindo Windows, macOS e Linux. Além das funções básicas de download, o Gopeed também é altamente personalizável, permitindo a implementação de novos recursos através da integração com APIs ou pela instalação e desenvolvimento de extensões.
    zh_cn: Gopeed（全称 Go Speed），直译过来中文名叫做够快下载器（不是狗屁下载器！），是一款由Golang+Flutter开发的高速下载器，支持（HTTP、BitTorrent、Magnet）协议下载，并且支持全平台使用。除了基本的下载功能外，Gopeed 还是一款高度可定制化的下载器，支持通过对接APIs或者安装和开发扩展来实现更多的功能。
  developer: GopeedLab
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Gopeed/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Gopeed/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Gopeed/screenshot-2.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Gopeed/screenshot-3.png
  tagline:
    en_us: Open source, lightweight, native, supports (HTTP, BitTorrent, Magnet , etc.) for downloading.
    pt_br: Código aberto, leve, nativo, suporta (HTTP, BitTorrent, Magnet, etc.) para download.
    zh_cn: 开源、轻量级、原生、支持（HTTP、BitTorrent、Magnet等）下载。
  title:
    en_us: Gopeed
    pt_br: Gopeed
  index: /
  port_map: "9999"
